[问题]YOYOplarer使用问题!

Totem,mplayer,sopcast,realplayer,bmp
回复
头像
whx-002
帖子: 139
注册时间: 2007-11-07 23:37
送出感谢: 0
接收感谢: 0
联系:

[问题]YOYOplarer使用问题!

#1

帖子 whx-002 » 2008-02-26 14:04

首先,请原谅我这样的菜鸟。希望老大能给个ubuntu的使用说明,比如安装什么环境,如何执行之类的,最好能给个教程! :lol: :lol: :lol:
从http://forum.ubuntu.org.cn/viewtopic.php?t=98324下地址下载了最新1.1版本的player,解压后,
cd 到目录执行

代码: 全选

java -jar YOYOPlayer.jar
出现了错误:

代码: 全选

Exception in thread "main" Exception in thread "Thread-1" java.awt.AWTError: Cannot load AWT toolkit: gnu.java.awt.peer.gtk.GtkToolkit
   at java.awt.Toolkit.getDefaultToolkit(libgcj.so.81)
   at java.awt.GraphicsEnvironment.getLocalGraphicsEnvironment(libgcj.so.81)
   at java.awt.Window.<init>(libgcj.so.81)
   at java.awt.Frame.<init>(libgcj.so.81)
   at javax.swing.JFrame.<init>(libgcj.so.81)
   at com.hadeslee.yoyoplayer.player.ui.Main.<init>(Main.java:62)
   at com.hadeslee.yoyoplayer.player.ui.Main.main(Main.java:80)
Caused by: java.lang.UnsatisfiedLinkError: libgtkpeer: libgtkpeer.so: cannot open shared object file: No such file or directory
   at java.lang.Runtime._load(libgcj.so.81)
   at java.lang.Runtime.loadLibrary(libgcj.so.81)
   at java.lang.System.loadLibrary(libgcj.so.81)
   at gnu.java.awt.peer.gtk.GtkToolkit.<clinit>(libgcj.so.81)
   at java.lang.Class.initializeClass(libgcj.so.81)
   at java.lang.Class.forName(libgcj.so.81)
   at java.awt.Toolkit.getDefaultToolkit(libgcj.so.81)
   ...6 more
头像
skylarkwnl
帖子: 224
注册时间: 2007-06-13 11:32
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 skylarkwnl » 2008-02-26 14:33

应该是你的java版本问题,yoyo需要java1.6
运行

代码: 全选

java -version
查一下你的java版本,如果不是1.6,请安装jre1.6[/code]

其实你看的那个帖子后面有。
头像
whx-002
帖子: 139
注册时间: 2007-11-07 23:37
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 whx-002 » 2008-02-26 14:52

问题解决~不过不知什么问题没有声音~~~~ :(
头像
hadeslee
帖子: 42
注册时间: 2007-12-17 10:34
送出感谢: 0
接收感谢: 0

#4

帖子 hadeslee » 2008-02-27 20:48

你在设备里面选择java sound audio engine试试看
superzy
帖子: 14
注册时间: 2007-10-18 16:46
送出感谢: 0
接收感谢: 0

#5

帖子 superzy » 2008-07-07 16:51

我也遇到了同样问题,请问怎么解决?
回复

回到 “影音多媒体”